Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum BACompensationMode

    java.lang.Object
      java.lang.Enum<BACompensationMode>
          org.jboss.txbridge.ba.annotation.BACompensationMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BACompensationMode>

    public enum BACompensationMode

extends java.lang.Enum<BACompensationMode>

List of supported compensation modes. The compensation mode defines how a compensation action should be accessed (if it is located in POJO class, if it should be looked up as it is exposed as a method of an EJB, etc).

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`CDII`
`CORBA`
`EJB`
`POJO`
`RMI`
`UDII`

Method Summary
`static BACompensationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BACompensationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POJO

    public static final BACompensationMode POJO

### EJB

    public static final BACompensationMode EJB

### UDII

    public static final BACompensationMode UDII

### CDII

    public static final BACompensationMode CDII

### RMI

    public static final BACompensationMode RMI

### CORBA

    public static final BACompensationMode CORBA

Method Detail

### values

    public static final BACompensationMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BACompensationMode c : BACompensationMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BACompensationMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD